package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="船运结算费用表")
public class BmsshipFee implements IBasePO<BigDecimal> {
    /**
     * 主键(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键",required=true)
    private BigDecimal resultId;

    /**
     * 费用(FEE,DECIMAL,0)
     */
    @ApiModelProperty(value="费用",required=false)
    private BigDecimal fee;

    /**
     * 费用类型（1：二程船水运费；2：二程船装卸费；3：三程船水运费；4：三程船装卸费；5：水分质检费用；6：进口矿火运费；7：进口矿装卸费）(FEE_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="费用类型（1：二程船水运费；2：二程船装卸费；3：三程船水运费；4：三程船装卸费；5：水分质检费用；6：进口矿火运费；7：进口矿装卸费）",required=false)
    private BigDecimal feeType;

    /**
     * 采购订单id(PURCHASE_ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="采购订单id",required=false)
    private BigDecimal purchaseOrderId;

    /**
     * 批次id(BATCH_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="批次id",required=false)
    private BigDecimal batchId;

    /**
     * 实装吨位(REAL_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="实装吨位",required=false)
    private BigDecimal realTonnage;

    /**
     * 单价(UNIT_PRICE,DECIMAL,0)
     */
    @ApiModelProperty(value="单价",required=false)
    private BigDecimal unitPrice;

    /**
     * 单价id(UNIT_PRICE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="单价id",required=false)
    private BigDecimal unitPriceId;

    /**
     * 备注(RESULT_REMARKS,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String resultRemarks;

    /**
     * 插入操作人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="插入操作人",required=false)
    private String insertUsername;

    /**
     * 插入操作时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="插入操作时间",required=false)
    private Date insertTime;

    /**
     * 修改操作人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="修改操作人",required=false)
    private String updateUsername;

    /**
     * 修改操作时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改操作时间",required=false)
    private Date updateTime;

    /**
     * 插入修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="插入修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 图片(IMAGE,VARCHAR,255)
     */
    @ApiModelProperty(value="图片",required=false)
    private String image;

    /**
     * 车皮数量(WAGON_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="车皮数量",required=false)
    private BigDecimal wagonNumber;

    /**
     * 开票日期(MAKE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开票日期",required=false)
    private Date makeTime;

    /**
     * 港口id(PORT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="港口id",required=false)
    private BigDecimal portId;

    /**
     * 港口数(PORT_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="港口数",required=false)
    private BigDecimal portNum;

    /**
     * 船数(SHIP_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="船数",required=false)
    private BigDecimal shipNum;

    /**
     * 预开金额(PREVIEW_FEE,DECIMAL,0)
     */
    @ApiModelProperty(value="预开金额",required=false)
    private BigDecimal previewFee;

    /**
     * 预开湿吨(PREVIEW_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="预开湿吨",required=false)
    private BigDecimal previewTonnage;

    /**
     * 开票金额(FEE_MAKE,DECIMAL,0)
     */
    @ApiModelProperty(value="开票金额",required=false)
    private BigDecimal feeMake;

    /**
     * 开票湿吨(MAKE_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="开票湿吨",required=false)
    private BigDecimal makeTonnage;

    /**
     * 装船水分吨位(LOAD_WATER_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="装船水分吨位",required=false)
    private BigDecimal loadWaterTonnage;

    /**
     * 进厂水分吨位(EN_WATER_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="进厂水分吨位",required=false)
    private BigDecimal enWaterTonnage;

    /**
     * 总实绩id(TOTAL_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="总实绩id",required=false)
    private BigDecimal totalResultId;

    /**
     * 账单ID(STATEMENT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="账单ID",required=false)
    private BigDecimal statementId;

    /**
     * 装船比例(保留4位小数)(LOADING_PROPORTION,DECIMAL,0)
     */
    @ApiModelProperty(value="装船比例(保留4位小数)",required=false)
    private BigDecimal loadingProportion;

    /**
     * 水分检测费(INSPECTIONS_FEE,DECIMAL,0)
     */
    @ApiModelProperty(value="水分检测费",required=false)
    private BigDecimal inspectionsFee;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getFee() {
        return fee;
    }

    public void setFee(BigDecimal fee) {
        this.fee = fee;
    }

    public BigDecimal getFeeType() {
        return feeType;
    }

    public void setFeeType(BigDecimal feeType) {
        this.feeType = feeType;
    }

    public BigDecimal getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public BigDecimal getRealTonnage() {
        return realTonnage;
    }

    public void setRealTonnage(BigDecimal realTonnage) {
        this.realTonnage = realTonnage;
    }

    public BigDecimal getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(BigDecimal unitPrice) {
        this.unitPrice = unitPrice;
    }

    public BigDecimal getUnitPriceId() {
        return unitPriceId;
    }

    public void setUnitPriceId(BigDecimal unitPriceId) {
        this.unitPriceId = unitPriceId;
    }

    public String getResultRemarks() {
        return resultRemarks;
    }

    public void setResultRemarks(String resultRemarks) {
        this.resultRemarks = resultRemarks == null ? null : resultRemarks.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image == null ? null : image.trim();
    }

    public BigDecimal getWagonNumber() {
        return wagonNumber;
    }

    public void setWagonNumber(BigDecimal wagonNumber) {
        this.wagonNumber = wagonNumber;
    }

    public Date getMakeTime() {
        return makeTime;
    }

    public void setMakeTime(Date makeTime) {
        this.makeTime = makeTime;
    }

    public BigDecimal getPortId() {
        return portId;
    }

    public void setPortId(BigDecimal portId) {
        this.portId = portId;
    }

    public BigDecimal getPortNum() {
        return portNum;
    }

    public void setPortNum(BigDecimal portNum) {
        this.portNum = portNum;
    }

    public BigDecimal getShipNum() {
        return shipNum;
    }

    public void setShipNum(BigDecimal shipNum) {
        this.shipNum = shipNum;
    }

    public BigDecimal getPreviewFee() {
        return previewFee;
    }

    public void setPreviewFee(BigDecimal previewFee) {
        this.previewFee = previewFee;
    }

    public BigDecimal getPreviewTonnage() {
        return previewTonnage;
    }

    public void setPreviewTonnage(BigDecimal previewTonnage) {
        this.previewTonnage = previewTonnage;
    }

    public BigDecimal getFeeMake() {
        return feeMake;
    }

    public void setFeeMake(BigDecimal feeMake) {
        this.feeMake = feeMake;
    }

    public BigDecimal getMakeTonnage() {
        return makeTonnage;
    }

    public void setMakeTonnage(BigDecimal makeTonnage) {
        this.makeTonnage = makeTonnage;
    }

    public BigDecimal getLoadWaterTonnage() {
        return loadWaterTonnage;
    }

    public void setLoadWaterTonnage(BigDecimal loadWaterTonnage) {
        this.loadWaterTonnage = loadWaterTonnage;
    }

    public BigDecimal getEnWaterTonnage() {
        return enWaterTonnage;
    }

    public void setEnWaterTonnage(BigDecimal enWaterTonnage) {
        this.enWaterTonnage = enWaterTonnage;
    }

    public BigDecimal getTotalResultId() {
        return totalResultId;
    }

    public void setTotalResultId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public BigDecimal getStatementId() {
        return statementId;
    }

    public void setStatementId(BigDecimal statementId) {
        this.statementId = statementId;
    }

    public BigDecimal getLoadingProportion() {
        return loadingProportion;
    }

    public void setLoadingProportion(BigDecimal loadingProportion) {
        this.loadingProportion = loadingProportion;
    }

    public BigDecimal getInspectionsFee() {
        return inspectionsFee;
    }

    public void setInspectionsFee(BigDecimal inspectionsFee) {
        this.inspectionsFee = inspectionsFee;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", fee=").append(fee);
        sb.append(", feeType=").append(feeType);
        sb.append(", purchaseOrderId=").append(purchaseOrderId);
        sb.append(", batchId=").append(batchId);
        sb.append(", realTonnage=").append(realTonnage);
        sb.append(", unitPrice=").append(unitPrice);
        sb.append(", unitPriceId=").append(unitPriceId);
        sb.append(", resultRemarks=").append(resultRemarks);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", image=").append(image);
        sb.append(", wagonNumber=").append(wagonNumber);
        sb.append(", makeTime=").append(makeTime);
        sb.append(", portId=").append(portId);
        sb.append(", portNum=").append(portNum);
        sb.append(", shipNum=").append(shipNum);
        sb.append(", previewFee=").append(previewFee);
        sb.append(", previewTonnage=").append(previewTonnage);
        sb.append(", feeMake=").append(feeMake);
        sb.append(", makeTonnage=").append(makeTonnage);
        sb.append(", loadWaterTonnage=").append(loadWaterTonnage);
        sb.append(", enWaterTonnage=").append(enWaterTonnage);
        sb.append(", totalResultId=").append(totalResultId);
        sb.append(", statementId=").append(statementId);
        sb.append(", loadingProportion=").append(loadingProportion);
        sb.append(", inspectionsFee=").append(inspectionsFee);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}